#ifndef _WALL_H_
#define _WALL_H_

#include "DisplayInterface.h"
#include "Globals.h"
#include "World.h"
#include "Object.h"

class Wall : public Object {
public:

	// constructor
	Wall( DisplayInterface &d, int x, int y );
	
	// returns object identity
	virtual int identify( );

	// takes a turn to act in the world
	virtual bool act( DisplayInterface &d, World *w, int x, int y, int time );

	// disappears from the world
	virtual void die( DisplayInterface &d, World *w, int x, int y );

	// shows the object at its spot in the world
	virtual void show( DisplayInterface &d, World *w, int x, int y );

};

#endif